/* Теоретичні питання
1. Яке призначення методу event.preventDefault() у JavaScript?

    Вимикає дефолтне реагування на івенти і дозволяє прописати свої

2. В чому сенс прийому делегування подій?

    Це створює можливість реагувати на івент для всіх обєктів в контейнері

3. Які ви знаєте основні події документу та вікна браузера? 

    click, keydown/keyup, submit, load, scrol, focus та інщі.

Практичне завдання:

Реалізувати перемикання вкладок (таби) на чистому Javascript.

Технічні вимоги:

- У папці tabs лежить розмітка для вкладок. Потрібно, щоб після натискання на вкладку відображався конкретний текст для потрібної вкладки. При цьому решта тексту повинна бути прихована. У коментарях зазначено, який текст має відображатися для якої вкладки.
- Розмітку можна змінювати, додавати потрібні класи, ID, атрибути, теги.
- Потрібно передбачити, що текст на вкладках може змінюватись, і що вкладки можуть додаватися та видалятися. При цьому потрібно, щоб функція, написана в джаваскрипті, через такі правки не переставала працювати.

 Умови:
 - При реалізації обов'язково використовуйте прийом делегування подій (на весь скрипт обробник подій повинен бути один).
*/

//Створюємо ноду с табами
const tabsUl = document.querySelector(".tabs")

//Перетворюємо її на массив
const tabs = Array.from(tabsUl.querySelectorAll('li'));

//За допомогою циклу всім еелментам массиву присвоюємо сласс
tabs.forEach((el)=>{
    el.classList.add('tabs-title')
})

//Робимо те саме з контентом для табів
const contetntUl = document.querySelector('.tabs-content')
const content = Array.from(contetntUl.querySelectorAll('li'));
content.forEach((el) =>{
    el.classList.add('off')
} )

//Створюємо івент для табів за допомогою делегування 
tabsUl.addEventListener('click', event =>{

    //Знаходимо актиований таб і вимикаємо видаливши класс активації
    let activeTab = document.querySelector('.active')
    activeTab.classList.remove('active')

    //І задаємо класс активації натиснутому табу
    event.target.classList.add('active') 

    //Створюємо цикл щоб передати індекс натуснутого табу відповідному контенту
    tabs.forEach((element) => {
        
        if (element.innerText == event.target.innerText) {
            
            //Створюємо змінну що зазначить індекс активного табу
            let x = tabs.indexOf(element)

            //Передаємо цей індекс відповідному контенту
            let activeCont = content[x]

            //Створюємо змінну що відповідає активному контенту
            let previus = document.querySelector('.on')

            //Вимикаємо активний контент
            previus.classList.remove('on')
            
            //Вмикаємо контент, що відповідає активному табу
            activeCont.classList.add('on') 
        }
   })
})
